RE: rails on Win2k3/IIS 6?


#1

Hey:

I have this problem every time I set things up in IIS w/ rails. Here’s
my checklist:

  1. Is your app mounted to the root of your server?
  2. Where’s your ISAPI.FCGI.DLL file located? Your IIS Guest user should
    have READ access to the file.
  3. What URL rewriter are you using
  4. What rule do you use for your rewriting?
  5. Did you set the required variables for .fcgi in the registry?
  6. What are those variables?
    5a. AppPath = c:\ruby\bin\rubyw.exe
    5b. Args = c:\your\railsapp\public\dispatch.fcgi
    5c. BindPath = rails-fcgi
  7. Did you set up the app mapping in your site root to point .fcgi to
    isapi_fcgi
  8. most importantly, did you allow fcgi in the “web service extensions”?

Finally, did you see this page?
http://rubyforiis.sosukodo.org/ (RubyForIIS)

If you did, try installing Ruby For Apache
http://rubyforge.org/projects/rubyforapache/ because sometimes you need
to do that a few times. (don’t know why, but once it’s working, it does
stay that way.

If there’s any way I can be of assistance, let me know!


#2

ok, i’ve gone through this, and now i’m running the Ruby for IIS setup.
I get an error

"Error opening file for writing:

c:\windows\system32\msvcp71.dll"

what is this file and why does it need to be written to?

(this also happenned when I ran the Ruby for Apache setup).
thanks for your help!


#3

You should try running Ruby for IIS (dont have link, but its on the
wiki).
I got that error as well when I tried to install Ruby for Apache, but
didn’t have apache installed. I may have seen on my XP laptop too, but
can’t remember.

-Nick


#4

Stephen Karsch <steve@…> writes:

ok, i’ve gone through this, and now i’m running the Ruby for IIS setup.
I get an error

"Error opening file for writing:

c:\windows\system32\msvcp71.dll"

what is this file and why does it need to be written to?

(this also happenned when I ran the Ruby for Apache setup).

Stephen,

I think that RubyForApache needs to copy a version of “msvcp71.dll” to
your
system32 folder. It needs it to recompile fastcgi or something else.
The problem (at least on Windows XP, on Win200 I didn’t had this
problem) is
that you already have a copy of “msvcp71.dll” in your system32 folder.

What I did was to rename my original copy to “msvcp71_original.dll” or
something
, let the RubyFoApache installer do it’s thing and then rename the new
one to
“msvcp71_rubyforapache.dll” and put back my original.

I think this dll is the c++ compiler from VisualStudio. Or is needed by
the
compiler … whatever.

Hope this helps.

Marius P.
http://mapopescu.blogsome.com